summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-01-31 09:56:21 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-01-31 09:56:33 +0100
commited9c9d43b7be518240c7749007b8a3393542d686 (patch)
treeb4df76cccae970650320c86054b4f2619fe1ebce /dev-tex
parentsci-libs/rtabmap: bump to 0.11.14 (diff)
downloadgentoo-ed9c9d43b7be518240c7749007b8a3393542d686.tar.gz
gentoo-ed9c9d43b7be518240c7749007b8a3393542d686.tar.bz2
gentoo-ed9c9d43b7be518240c7749007b8a3393542d686.zip
dev-tex/latex2html: Bump to 2017.2.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-tex')
-rw-r--r--dev-tex/latex2html/Manifest1
-rw-r--r--dev-tex/latex2html/files/latex2html-tests.patch26
-rw-r--r--dev-tex/latex2html/latex2html-2017.2.ebuild77
3 files changed, 104 insertions, 0 deletions
diff --git a/dev-tex/latex2html/Manifest b/dev-tex/latex2html/Manifest
index 8166f3e7cd9..b81d86c9bbc 100644
--- a/dev-tex/latex2html/Manifest
+++ b/dev-tex/latex2html/Manifest
@@ -1,3 +1,4 @@
DIST latex2html-2008.tar.gz 1133054 SHA256 59456815a3984250c295d3d5c46b85646038db8db2735cdc0d3780cf4da337ad SHA512 e5a9d1700fcc45e6fcb7bae79e25acd52b7a84b70a75b3c7f1e746f65adbd48219a828420f6a7c437613d5c74dfb0405c91df01ac9c1535e9850f3a3e5c47f60 WHIRLPOOL 3d4dba64a2ce1b548749f5a5d489afba8694b2b6214dc5b7030820898d13a33dd708c751d2dc625a3d93930bcc0e483fa3e6736a2812c3baf395f70bb77404dc
DIST latex2html-2015.tar.gz 1217699 SHA256 248cf84c70dd31221ddc69ef7ce0e720aadd26b572ee412827eae62f0eefb8dd SHA512 dd031944250efd28691edeba5e83b4c5c0deec3a2e7c2ab2a9bd285a911f6ab21a02cd0ef697bebc2c7c7c0ebd285493c1d6b01b0db9355fc7f3316a2af65e2c WHIRLPOOL 27e086e44ace2cae80d0b29390d3ba63f426c3facd8ac5e4573b580260a3e859c29bd0496ed0f864c0e2644ff0105e9b0cfeb45d9812c54b97f6386c5844b0c9
+DIST latex2html-2017.2.tar.gz 1131438 SHA256 4b8c21ef292817c85ba553f560129723bcae4ee9a6ec7a22ce2289329db7c1ef SHA512 0e1ab1b2005dc71988b1500884d7a13bfbdce73a62ef7f6cc6e83e29d776c98eb09cff3f8d0c162493586094c9ca6f07d47e98d2137f223f27044d03e9bb3473 WHIRLPOOL a0d6145cc104e70ec43097e0af527e18df98fe9f7c668f994c219d1548920d74347dc9de59728d702f207bebc42b267f8a18faa6f912363000d3807f23ab1560
DIST latex2html-match-multiline.patch.bz2 8147 SHA256 fa4c74b1e6ef3fc337485b7940922aaa1aed0c33a533e75f4a97503547f4570e SHA512 01ec0dd1705f030736432a7fa8bf99c83c9e4f01c9755319d36e65e18737361d23073277692a8c44af529a1c37caabcc9e720a4be57e64300f945060e88f6641 WHIRLPOOL d0f69d16060d9829cafdc266acdb50e2071cf742841e7fcce524d69268c51036665670c0e3111e83dea8271cb0032f2362686c976a8b2c9032b50125ab3a9b2c
diff --git a/dev-tex/latex2html/files/latex2html-tests.patch b/dev-tex/latex2html/files/latex2html-tests.patch
new file mode 100644
index 00000000000..1ada1a32bf0
--- /dev/null
+++ b/dev-tex/latex2html/files/latex2html-tests.patch
@@ -0,0 +1,26 @@
+Index: latex2html-2017.2/styles/frames.perl
+===================================================================
+--- latex2html-2017.2.orig/styles/frames.perl
++++ latex2html-2017.2/styles/frames.perl
+@@ -295,7 +295,7 @@ sub check_frame_colorset {
+ elsif ($reverse == 1) {$colorset="${which}_colorset_star"}
+ elsif ($reverse == 2) {$colorset="${which}_colorset_star_star"}
+ else {$colorset="${which}_colorset"}
+- if (!(defined @$colorset))
++ if (!(@$colorset))
+ { print STDERR "\nframes for $which are not supported\n"; return($rest);}
+ local($frame_tmp)=$frame_data;
+ local($key, @values);
+Index: latex2html-2017.2/styles/natbib.perl
+===================================================================
+--- latex2html-2017.2.orig/styles/natbib.perl
++++ latex2html-2017.2/styles/natbib.perl
+@@ -1451,7 +1451,7 @@ sub do_cmd_citestyle {
+ local($_) = @_;
+ s/$next_pair_pr_rx//o;
+ local($style)="citestyle_$2";
+- if (defined @$style) {
++ if (@$style) {
+ ($CITE_OPEN_DELIM,
+ $CITE_CLOSE_DELIM,
+ $CITE_ENUM,
diff --git a/dev-tex/latex2html/latex2html-2017.2.ebuild b/dev-tex/latex2html/latex2html-2017.2.ebuild
new file mode 100644
index 00000000000..4ec817e51e0
--- /dev/null
+++ b/dev-tex/latex2html/latex2html-2017.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Convertor written in Perl that converts LATEX documents to HTML"
+HOMEPAGE="http://www.latex2html.org/"
+SRC_URI="http://mirrors.ctan.org/support/latex2html/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="gif png"
+
+DEPEND="app-text/ghostscript-gpl
+ virtual/latex-base
+ media-libs/netpbm
+ dev-lang/perl
+ gif? ( media-libs/giflib )
+ png? ( media-libs/libpng:0 )"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}"-{destdir,tests}.patch )
+
+src_prepare() {
+ default
+
+ sed -i -e 's%@PERL@%'"${EPREFIX}"'/usr/bin/perl%g' wrapper/unix.pin || die
+}
+
+src_configure() {
+ local myconf
+
+ use gif || use png || myconf="${myconf} --disable-images"
+
+ econf --libdir="${EPREFIX}"/usr/$(get_libdir)/latex2html \
+ --shlibdir="${EPREFIX}"/usr/$(get_libdir)/latex2html \
+ --enable-pk \
+ --enable-eps \
+ --enable-reverse \
+ --enable-pipes \
+ --enable-paths \
+ --enable-wrapper \
+ --with-texpath="${EPREFIX}"/usr/share/texmf-site/tex/latex/html \
+ --without-mktexlsr \
+ $(use_enable gif) \
+ $(use_enable png) \
+ ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # make /usr/share/latex2html sticky
+ keepdir /usr/share/latex2html
+
+ # clean the perl scripts up to remove references to the sandbox
+ local dir="${ED}/usr/$(get_libdir)/latex2html"
+ if use png || use gif; then
+ # pstoimg isn't built unless gif or png useflags are enabled
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/pstoimg.pl || die
+ fi
+ sed -i -e "s:${S}::g" "${dir}"/latex2html.pl || die
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/cfgcache.pm || die
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/l2hconf.pm || die
+
+ dodoc BUGS Changes FAQ MANIFEST README.md TODO
+}
+
+pkg_postinst() {
+ "${EROOT}"/usr/bin/mktexlsr
+}
+
+pkg_postrm() {
+ "${EROOT}"/usr/bin/mktexlsr
+}